package com.ruoyi.mall.mapper;

import java.util.List;
import com.ruoyi.mall.domain.MallMemberCart;

/**
 * 购物车Mapper接口
 * 
 * @author chang
 * @date 2021-11-25
 */
public interface MallMemberCartMapper 
{
    /**
     * 查询购物车
     * 
     * @param id 购物车主键
     * @return 购物车
     */
    public MallMemberCart selectMallMemberCartById(Long id);

    /**
     * 查询购物车列表
     * 
     * @param mallMemberCart 购物车
     * @return 购物车集合
     */
    public List<MallMemberCart> selectMallMemberCartList(MallMemberCart mallMemberCart);

    /**
     * 新增购物车
     * 
     * @param mallMemberCart 购物车
     * @return 结果
     */
    public int insertMallMemberCart(MallMemberCart mallMemberCart);

    /**
     * 修改购物车
     * 
     * @param mallMemberCart 购物车
     * @return 结果
     */
    public int updateMallMemberCart(MallMemberCart mallMemberCart);

    /**
     * 删除购物车
     * 
     * @param id 购物车主键
     * @return 结果
     */
    public int deleteMallMemberCartById(Long id);

    /**
     * 批量删除购物车
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMallMemberCartByIds(Long[] ids);

    /*
    * 商品信息查购物车
    * */
    public MallMemberCart selectMallMemberCartByCart(MallMemberCart cart);

    public void deleteMallMemberCartByCart(MallMemberCart cart);
}
